commit 93631017d868d8d432124e18c96bbe6dcba4bce0
Author: thiagoftsm <thiagoftsm@gmail.com>
Date:   Tue Jan 28 15:27:12 2020 +0000

    Missing extern (#7877)
    
    * missing_extern: Fix missing
    
    Fix few externs that were missing in global variables
    
    * missing_extern: Variables
    
    This commit declares the variables inside .c files

diff --git a/daemon/common.c b/daemon/common.c
index e28f6cf0..67497a4e 100644
--- a/daemon/common.c
+++ b/daemon/common.c
@@ -13,4 +13,4 @@ char *netdata_configured_varlib_dir          = VARLIB_DIR;
 char *netdata_configured_home_dir            = CACHE_DIR;
 char *netdata_configured_host_prefix         = NULL;
 char *netdata_configured_timezone            = NULL;
-
+int netdata_ready;
diff --git a/daemon/common.h b/daemon/common.h
index 6ac3cb3c..59dbc41a 100644
--- a/daemon/common.h
+++ b/daemon/common.h
@@ -81,6 +81,6 @@ extern char *netdata_configured_timezone;
 extern int netdata_zero_metrics_enabled;
 extern int netdata_anonymous_statistics_enabled;
 
-int netdata_ready;
+extern int netdata_ready;
 
 #endif /* NETDATA_COMMON_H */
diff --git a/health/health.c b/health/health.c
index 1124cf91..4a84ef7f 100644
--- a/health/health.c
+++ b/health/health.c
@@ -9,6 +9,7 @@ struct health_cmdapi_thread_status {
 };
 
 unsigned int default_health_enabled = 1;
+char *silencers_filename;
 
 // ----------------------------------------------------------------------------
 // health initialization
diff --git a/health/health.h b/health/health.h
index 9da90d70..d77318fd 100644
--- a/health/health.h
+++ b/health/health.h
@@ -52,7 +52,7 @@ extern unsigned int default_health_enabled;
 
 #define HEALTH_SILENCERS_MAX_FILE_LEN 10000
 
-char *silencers_filename;
+extern char *silencers_filename;
 
 extern void health_init(void);
 extern void *health_main(void *ptr);
diff --git a/libnetdata/health/health.c b/libnetdata/health/health.c
index e03538db..98d26d29 100644
--- a/libnetdata/health/health.c
+++ b/libnetdata/health/health.c
@@ -1,5 +1,7 @@
 #include "health.h"
 
+SILENCERS *silencers;
+
 /**
  * Create Silencer
  *
diff --git a/libnetdata/health/health.h b/libnetdata/health/health.h
index a3dc0775..f7580eda 100644
--- a/libnetdata/health/health.h
+++ b/libnetdata/health/health.h
@@ -44,7 +44,7 @@ typedef struct silencers {
     SILENCER *silencers;
 } SILENCERS;
 
-SILENCERS *silencers;
+extern SILENCERS *silencers;
 
 extern SILENCER *create_silencer(void);
 extern int health_silencers_json_read_callback(JSON_ENTRY *e);
diff --git a/web/api/web_api_v1.c b/web/api/web_api_v1.c
index aafcbc70..4ac50524 100644
--- a/web/api/web_api_v1.c
+++ b/web/api/web_api_v1.c
@@ -2,6 +2,8 @@
 
 #include "web_api_v1.h"
 
+char *api_secret;
+
 static struct {
     const char *name;
     uint32_t hash;
diff --git a/web/api/web_api_v1.h b/web/api/web_api_v1.h
index 4fe3c8f6..edeea98b 100644
--- a/web/api/web_api_v1.h
+++ b/web/api/web_api_v1.h
@@ -27,6 +27,6 @@ extern void host_labels2json(RRDHOST *host, BUFFER *wb, size_t indentation);
 extern void web_client_api_v1_init(void);
 extern void web_client_api_v1_management_init(void);
 
-char *api_secret;
+extern char *api_secret;
 
 #endif //NETDATA_WEB_API_V1_H
